### Method

# Gtk.TreeViewColumn.cell_get_size

#### Declaration [src]

    void
    gtk_tree_view_column_cell_get_size (
      GtkTreeViewColumn* tree_column,
      int* x_offset,
      int* y_offset,
      int* width,
      int* height
    )

#### Description [src]

Obtains the width and height needed to render the column. This is used primarily by the `GtkTreeView`.

#### Parameters

`x_offset` | `int*`
| location to return x offset of a cell relative to `cell_area`, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
`y_offset` | `int*`
| location to return y offset of a cell relative to `cell_area`, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
`width` | `int*`
| location to return width needed to render a cell, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
`height` | `int*`
| location to return height needed to render a cell, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee